Get Project Compute Resources List
curl --request GET \
--url https://relytone.data.cloud/api/v1/projects/{id}/computes \
--header 'Authorization: Bearer <token>'import requests
url = "https://relytone.data.cloud/api/v1/projects/{id}/computes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://relytone.data.cloud/api/v1/projects/{id}/computes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"status": "READY",
"computeType": "primary",
"host": "<string>",
"poolerHost": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createUser": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]Project Resources
Get Project Compute Resources List
Get all compute resources for a project
GET
/
projects
/
{id}
/
computes
Get Project Compute Resources List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project identifier
Query Parameters
Compute resource identifier (optional, for getting specific compute resource)
Response
Successfully retrieved compute resources list
Compute resource identifier
Compute resource name
Compute resource status
Available options:
READY, FROZEN, CREATING, PROVISIONING, ERROR Compute resource type
Available options:
primary, replica Host address
Connection pool host address
Creation time
Update time
Show child attributes
Show child attributes
Was this page helpful?